function transparenciaController($sepInstitucion) {
    var self = this;

    self.articulos = new Coleccion();
    self.cargarArticulos = cargarArticulos;
    self.alternarFraccion = alternarFraccion;

    cargarArticulos();

    function cargarArticulos() {
        if (self.articulos.cargando) return;

        self.articulos.cargar(function() {
            return $sepInstitucion.obtenerArticulosTransparencia(function(res) {
                if (!res.error) {
                    var articulos = self.articulos.lista = res.data || [];

                    articulos.forEach(function(a) {
                        if (a.fracciones && a.fracciones.length > 0) {
                            self.alternarFraccion(a, a.fracciones[0]);
                        }
                    });
                }
            });
        });
    }

    function alternarFraccion(articulo, fraccion) {
        if (!articulo || !fraccion) return;

        var expandida = fraccion.expandida || false;

        if (articulo.fracciones && articulo.fracciones.length > 0) {
            articulo.fracciones.forEach(function(f) {
                f.expandida = false;
            });
            fraccion.expandida = !expandida;
        }
    }
}
